Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 620666 - [abrt] crash in pyvnc2swf-0.9.5-8.fc12: mp3.py:232:read_mp3file:AssertionError
[abrt] crash in pyvnc2swf-0.9.5-8.fc12: mp3.py:232:read_mp3file:AssertionError
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pyvnc2swf (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: David Timms
Fedora Extras Quality Assurance
abrt_hash:1179fddf
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-03 04:43 EDT by mgerbabuena
Modified: 2010-12-03 07:58 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 07:58:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.64 KB, text/plain)
2010-08-03 04:43 EDT, mgerbabuena
no flags Details

  None (edit)
Description mgerbabuena 2010-08-03 04:43:49 EDT
abrt 1.0.9 detected a crash.

architecture: i686
cmdline: python /usr/bin/vnc2swf-play '/media/LinuxCBT Bash Shell Scripting/movies/linuxcbt_se_alias1.swf'
comment: I was trying to open a .swf file. After that it shows that the software crashes
component: pyvnc2swf
executable: /usr/bin/vnc2swf-play
kernel: 2.6.32.12-115.fc12.i686.PAE
package: pyvnc2swf-0.9.5-8.fc12
reason: mp3.py:232:read_mp3file:AssertionError
release: Fedora release 12 (Constantine)

backtrace
-----
mp3.py:232:read_mp3file:AssertionError

Traceback (most recent call last):
  File "/usr/bin/vnc2swf-play", line 275, in <module>
    if __name__ == "__main__": sys.exit(main(sys.argv))
  File "/usr/bin/vnc2swf-play", line 273, in main
    return play(args, info, debug=debug)
  File "/usr/bin/vnc2swf-play", line 230, in play
    movie.parse_vnc2swf(fname, True, debug=debug)
  File "/usr/lib/python2.6/site-packages/pyvnc2swf/movie.py", line 169, in parse_vnc2swf
    parser.open(fname)
  File "/usr/lib/python2.6/site-packages/pyvnc2swf/swf.py", line 165, in open
    getattr(self, name)(tag, length)
  File "/usr/lib/python2.6/site-packages/pyvnc2swf/movie.py", line 413, in scan_tag19
    self.movie.info.reg_mp3blocks(self.fp, length-4, nsamples, seeksamples)
  File "/usr/lib/python2.6/site-packages/pyvnc2swf/movie.py", line 124, in reg_mp3blocks
    MP3Reader(self.mp3).read_mp3file(fp, length, nsamples, seeksamples)
  File "/usr/lib/python2.6/site-packages/pyvnc2swf/mp3.py", line 232, in read_mp3file
    assert totalsamples == totalsamples0
AssertionError

Local variables in innermost frame:
layer: 3L
verbose: False
bit_rate: 32
length: 551
copyright: False
self: <mp3.MP3Reader instance at 0xb7355f2c>
s: 0L
emphasis: 0L
version: 2L
totalsamples0: 2880
pad: 0L
channel: 3L
fp: <open file '/media/LinuxCBT Bash Shell Scripting/movies/linuxcbt_se_alias1.swf', mode 'rb' at 0xb73402a0>
framesize: 104L
totalsamples: 3456
joint: 0L
nsamples: 576
data: '\xff\xf3@\xc4\xf2\x13\x80\x02[ \x00\x00\x00\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x00\x00'
b: 4L
h: 4294131908L
seeksamples: 342
protected: False
sample_rate: 22050
x: ''
original: True
Comment 1 mgerbabuena 2010-08-03 04:43:51 EDT
Created attachment 436212 [details]
File: backtrace
Comment 2 GJahchan 2010-10-09 00:01:58 EDT
Package: pyvnc2swf-0.9.5-8.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Play swf video created with Camtasia Studio
2.
3.
Comment 3 Bug Zapper 2010-11-03 07:18:49 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-12-03 07:58:47 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.